- Revalidate an electronic ticket.
Reservation Divide
Reservation Cancel
Update Traveler Information
Traveler Updatable Items
Revalidate an electronic...
Following an airline-initiated schedule change, the updated itinerary may require the associated ticket to be synchronized with the newly confirmed flight details. The existing ticket can be revalidated where supported, allowing the revised itinerary and ticket coupon information to remain aligned without requiring a ticket reissue. The original ticket number remains the same.
GDS only
Ticket revalidation is subject to airline participation. If the airline is not a participant in ticket revalidation, an even exchange has to be initiated after accepting the schedule change.
Ticket revalidation is dependent on the carrier’s revalidation rules and the eligibility of the affected itinerary.
- Retrieve the PNR using the Reservation Retrieve request.
- Get the ticketing details from the PNR (Ticket number, Coupon, Segment, Place).
- Send the ticket revalidation request with the information gathered from the reservation retrieve response.
- If it is successful, no action required.
- If it is unsuccessful, process even exchange manually.
Security
bearerAuth
- https://api.pp.travelport.net/11https://api.pp.travelport.net/11/air/ticket/tickets/revalidate
- https://api.travelport.net/11https://api.travelport.net/11/air/ticket/tickets/revalidate
curl -i -X PUT \
https://api.pp.travelport.net/11/air/ticket/tickets/revalidate \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'TVP-PCC-Core: DU7_1G' \
-H 'TraceId: TraceID_123456789' \
-H 'XAUTH_TRAVELPORT_ACCESSGROUP: 19Y88702-C27A-4E5D-829A-89D7016688B1' \
-H 'travelportPlusSessionIdentifier: 49f58f5f-c443-43b4-9f5d-be405fd00a01' \
-d '{
"ticketRevalidate": [
{
"reservationLocator": {
"value": "ZXG25P",
"locatorType": "Confirmation Number",
"source": "1G",
"sourceContext": "Travelport",
"otaType": "14.UIT",
"creationDate": "2026-03-01",
"lastUpdated": "2026-08-07T12:12:00Z"
},
"ticketIdentifer": {
"value": "A0656EFF-FAF4-456F-B061-0161008D7C4E",
"authority": "TVPT"
},
"ticketSegment": [
{
"@type": "TicketSegment",
"sequence": 1,
"ClassOfService": "Y",
"FareBasisCode": "YEE1Y",
"Status": "Void",
"Carrier": "DL",
"Number": "2490",
"Departure": null,
"Arrival": null,
"FlightStatusCode": "HK",
"ValidDateRange": {
"start": "2026-03-03",
"end": "2026-03-03"
},
"TicketBaggage": {
"@type": "TicketBaggage",
"quantity": 2,
"Measurement": [
{}
],
"soldByPieceInd": true,
"soldByWeightInd": true
},
"connectionInd": true
}
]
}
]
}'Response
{ "TicketListResponse": { "@type": "response", "transactionId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "traceId": "TraceID_123456", "correlationId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "reservationStatus": "Success", "Result": { "@type": "Result", "status": "Complete", "Error": [ … ], "Warning": [ … ] }, "Identifier": { "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E", "authority": "TVPT" }, "NextSteps": { "baseURI": "www.travelport.com", "id": "5", "NextStep": [ … ] }, "ReferenceList": [ null ], "CurrencyRateConversion": [ { … } ], "Pagination": { "@type": "Pagination", "page": 1, "pageSize": 20, "totalPages": 5, "totalItems": 100 } } }